Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class InternalComponentInvalidationEventHubImpl

    java.lang.Object
      org.apache.tapestry5.internal.event.InvalidationEventHubImpl
          org.apache.tapestry5.internal.services.InternalComponentInvalidationEventHubImpl

All Implemented Interfaces:
  InternalComponentInvalidationEventHub, InvalidationEventHub

    public class InternalComponentInvalidationEventHubImpl

extends InvalidationEventHubImpl
implements InternalComponentInvalidationEventHub

Constructor Summary
`InternalComponentInvalidationEventHubImpl(boolean productionMode)`

Method Summary
`void` | `classInControlledPackageHasChanged()` Invoked when the `ComponentInstantiatorSource` notices that a class file within any of the controlled packages has changed.

Methods inherited from class org.apache.tapestry5.internal.event.InvalidationEventHubImpl
`addInvalidationListener, fireInvalidationEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.services.InvalidationEventHub
`addInvalidationListener`

Constructor Detail

### InternalComponentInvalidationEventHubImpl

    public InternalComponentInvalidationEventHubImpl(@Symbol(value="tapestry.production-mode")
                                                     boolean productionMode)

Method Detail

### classInControlledPackageHasChanged

    public void classInControlledPackageHasChanged()

  Description copied from interface: `InternalComponentInvalidationEventHub`
  Invoked when the `ComponentInstantiatorSource` notices that a class file within any of the controlled packages has changed. Fires the `InvalidationListener.objectWasInvalidated()` notification.

  Specified by:
    `classInControlledPackageHasChanged` in interface `InternalComponentInvalidationEventHub`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.